<?php

/**
 * Plugin Name: Belingo.GeoCiy
 * Description: Плагин добавляет возможность выбора городов, создаются уникальные страницы, с уникальным url, для уникализации контента на странице, в плагине доступны шоткоды (city, city_padej1, city_padej2, city_padej3, city_phone, city_address)
 * Author URI:  https://belingo.ru
 * Author:      Belingo llc
 * Version:     1.4.10
 */

$cityObj = (object)[];

add_filter('query_vars', function( $vars ) {
	$vars[] = 'geo_city';
	$vars[] = 'city_sitemap';
	return $vars;
});

require_once 'includes/functions.php';
require_once 'includes/admin/functions.php';
require_once 'includes/admin/settings.php';
require_once 'includes/sitemaps.php';
require_once 'includes/shortcodes.php';

define("BELINGO_GEO_VERSION", '1.4.10');

add_action('save_post', 'rewrite_rules_func', 99); 
add_action('got_url_rewrite', 'rewrite_rules_func', 99);
add_action('init', 'init_cityObj');
add_action('template_redirect', 'init_city');

register_activation_hook( __FILE__, 'belingoGeo_install' ); 
function belingoGeo_install() {

	register_post_types();

	// default value for nonecity
	update_option('belingo_geo_basic_default_nonecity', 'Ваш город');

	rewrite_rules_func();

}

register_deactivation_hook( __FILE__, 'belingoGeo_deactivation' );
function belingoGeo_deactivation() {

	flush_rewrite_rules();

}